Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ati-drivers (fglrx) problem with gentoo-sources-2.6.12
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4  Next  
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
YannTechGeek
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2003
Posts: 107
Location: France 94

PostPosted: Fri Jul 15, 2005 1:46 pm    Post subject: Reply with quote

eqxro wrote:
I got a medium of 3000 FPS in glxgears with a dual-monitor



How-to ?

I have only a big desktop, no Xinerama with fglrx ?
_________________
Geekeurs a plein temps --- Gentoo ~x86 2.6.12-nitro5 AMD 3000+ A7N8X-E Deluxe 1536Mo DDR PC3200 ATI X800 Pro Maxtor 200Go Western-Digital 80Go
Back to top
View user's profile Send private message
francescofavero
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jul 2005
Posts: 130
Location: Kongens Lyngby

PostPosted: Fri Jul 15, 2005 4:43 pm    Post subject: Reply with quote

Hi everyone.

I'm running Gentoo on my toshiba m30x laptop... everythinks it's perfect but the Radeon 9600 mobility M10...the driver fglrx won't work.
(ati-drivers-8.14.13-r1)
I havent tried again rececetly and I think I have not animore a log file to show... but it was a proble of fglrx_drv.o that had a lot of unresolved symbols... so X shuts down!! I resoved using the X radeon driver whit a glxgears of 360 FPS!!!

I have no time recently so I convenced myself that was a problem of my kernel 2.6.12-gentoo-r4 or changes due of gcc-3.4.4 that i'm using... so I'm waiting for an updated driver...

If someone suggest me something or has the same problem and he passed I should "lose" time about other way I wait (no need to play some 3DwonerfullGame)...

Thanks CIAO!!!!!
Back to top
View user's profile Send private message
x-jojo
n00b
n00b


Joined: 16 Jul 2005
Posts: 3

PostPosted: Sat Jul 16, 2005 2:00 pm    Post subject: Re: patchset Reply with quote

Jimmy Jazz wrote:

copy also ati-drivers-8.14.13-r1.ebuild into your media-video/ati-drivers overlay directory
and rename it to ati-drivers-8.14.13-r2.ebuild for instance.
You can now add the patches you need, like following

Code:

# diff -ruN  /usr/portage/media-video/ati-drivers/ati-drivers-8.14.13-r1.ebuild ati-drivers-8.14.13-r2.ebuild
--- /usr/portage/media-video/ati-drivers/ati-drivers-8.14.13-r1.ebuild  2005-06-25 11:05:44.000000000 +0200
+++ ati-drivers-8.14.13-r2.ebuild       2005-07-04 11:04:27.000000000 +0200
@@ -73,6 +73,8 @@
        then
                epatch ${FILESDIR}/fglrx-2.6.12-pci_name.patch
                epatch ${FILESDIR}/fglrx-2.6.12-inter_module_get.patch
+               #epatch ${FILESDIR}/fglrx-2.6-agpgart.patch
+               epatch ${FILESDIR}/kernel-2.6.12-agpgart.patch
        fi
        epatch ${FILESDIR}/8.8.25-via-amd64.patch
        epatch ${FILESDIR}/8.8.25-smp.patch






Hmm... I am fairly new to gentoo... in fact i installed it yesterday.
I want to apply these patch to the ati driver, but i do not understand these part of your how2. So can you please describe a bit closer what to do with this code that you posted?
Back to top
View user's profile Send private message
thorak
n00b
n00b


Joined: 14 Jul 2005
Posts: 9

PostPosted: Sat Jul 16, 2005 2:34 pm    Post subject: Reply with quote

He's showing you a diff between the original ebuild and the new, patched one, so you need to add the 1 (2) lines
preceeded by + to the ebuild in your portage overlay.
Back to top
View user's profile Send private message
x-jojo
n00b
n00b


Joined: 16 Jul 2005
Posts: 3

PostPosted: Sat Jul 16, 2005 4:32 pm    Post subject: Reply with quote

OK.

Please tell me, what I did wrong :lol:

I made a overlay dir and added it to my make.conf.
Then I made the digest and afterwards I tried to "emerge -av =ati-drivers-8.14.13" but:

Code:

johannes ati-drivers # emerge -av =ati-drivers-8.14.13
--- Invalid atom in /etc/portage/package.keywords: media-video/ati-drivers-8.14.13

These are the packages that I would merge, in order:

Calculating dependencies
!!! All ebuilds that could satisfy "=ati-drivers-8.14.13" have been masked.
!!! One of the following masked packages is required to complete your request:
- media-video/ati-drivers-8.14.13 (masked by: ~x86 keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.




I tried to unmask it, but i did not get it :cry:
Back to top
View user's profile Send private message
YannTechGeek
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2003
Posts: 107
Location: France 94

PostPosted: Sat Jul 16, 2005 4:37 pm    Post subject: Reply with quote

put in package.keywords :
Code:
echo "media-video/ati-drivers ~x86" >> /etc/portage/package.keywords

_________________
Geekeurs a plein temps --- Gentoo ~x86 2.6.12-nitro5 AMD 3000+ A7N8X-E Deluxe 1536Mo DDR PC3200 ATI X800 Pro Maxtor 200Go Western-Digital 80Go
Back to top
View user's profile Send private message
x-jojo
n00b
n00b


Joined: 16 Jul 2005
Posts: 3

PostPosted: Sat Jul 16, 2005 4:57 pm    Post subject: Reply with quote

Thank you very much :)

It works fine now :)
Back to top
View user's profile Send private message
fishcode
n00b
n00b


Joined: 06 Nov 2004
Posts: 5

PostPosted: Sat Jul 16, 2005 7:25 pm    Post subject: Reply with quote

Tsuna wrote:
I just upgraded to 2.6.12-gentoo-r4 and I can't get DRI to work


When emerging ati-drivers:

* Found kernel source directory:
* /usr/src/linux
* Found sources for kernel version:
* 2.6.12-gentoo-r4-tsunaxbook-v1
* Checking for MTRR support enabled ... [ ok ]
* Checking for AGP support enabled ... [ ok ]
* Checking for DRM support disabled ... [ ok ]
* X11 implementation is xorg-x11.
>>> Unpacking source...
>>> Unpacking fglrx_6_8_0-8.12.10-1.i386.rpm
* Applying fglrx-2.6-pagetable.patch ... [ ok ]
* Applying 8.8.25-via-amd64.patch ... [ ok ]
* Applying 8.8.25-smp.patch ... [ ok ]
>>> Source unpacked.
* Building the DRM module...
make: Entering directory `/usr/src/linux-2.6.12-gentoo-r4'
CC [M] /var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agp3.o
CC [M] /var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/nvidia-agp.o
CC [M] /var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.o
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: In function `agp_find_supported_device':
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7150: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7170: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7175: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7201: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7221: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7241: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7246: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:6542: warning: unused variable `cap_ptr'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: In function `__fgl_agp_init':
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7627: warning: `pm_register' is deprecated (declared at include/linux/pm.h:106)
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: In function `__fgl_agp_cleanup':
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7637: warning: `pm_unregister_all' is deprecated (declared at include/linux/pm.h:116)
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: At top level:
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:6523: warning: 'agp_check_supported_device' defined but not used
make[1]: *** [/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.o] Error 1
make: *** [_module_/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod] Error 2
make: Leaving directory `/usr/src/linux-2.6.12-gentoo-r4'
* DRM module not built
>>> Test phase [not enabled]: media-video/ati-drivers-8.12.10

>>> Install ati-drivers-8.12.10 into /var/tmp/portage/ati-drivers-8.12.10/image/ category media-video
install: cannot stat `/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/fglrx.ko': No such file or directory


jep, i have the same problem. could anybody help, please.
Back to top
View user's profile Send private message
Kaiiserni
Tux's lil' helper
Tux's lil' helper


Joined: 25 Apr 2005
Posts: 121
Location: Antwerp - Belgium

PostPosted: Sat Jul 16, 2005 11:13 pm    Post subject: Reply with quote

fishcode wrote:
Tsuna wrote:
I just upgraded to 2.6.12-gentoo-r4 and I can't get DRI to work


When emerging ati-drivers:

* Found kernel source directory:
* /usr/src/linux
* Found sources for kernel version:
* 2.6.12-gentoo-r4-tsunaxbook-v1
* Checking for MTRR support enabled ... [ ok ]
* Checking for AGP support enabled ... [ ok ]
* Checking for DRM support disabled ... [ ok ]
* X11 implementation is xorg-x11.
>>> Unpacking source...
>>> Unpacking fglrx_6_8_0-8.12.10-1.i386.rpm
* Applying fglrx-2.6-pagetable.patch ... [ ok ]
* Applying 8.8.25-via-amd64.patch ... [ ok ]
* Applying 8.8.25-smp.patch ... [ ok ]
>>> Source unpacked.
* Building the DRM module...
make: Entering directory `/usr/src/linux-2.6.12-gentoo-r4'
CC [M] /var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agp3.o
CC [M] /var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/nvidia-agp.o
CC [M] /var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.o
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: In function `agp_find_supported_device':
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7150: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7170: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7175: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7201: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7221: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7241: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7246: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:6542: warning: unused variable `cap_ptr'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: In function `__fgl_agp_init':
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7627: warning: `pm_register' is deprecated (declared at include/linux/pm.h:106)
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: In function `__fgl_agp_cleanup':
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7637: warning: `pm_unregister_all' is deprecated (declared at include/linux/pm.h:116)
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: At top level:
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:6523: warning: 'agp_check_supported_device' defined but not used
make[1]: *** [/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.o] Error 1
make: *** [_module_/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod] Error 2
make: Leaving directory `/usr/src/linux-2.6.12-gentoo-r4'
* DRM module not built
>>> Test phase [not enabled]: media-video/ati-drivers-8.12.10

>>> Install ati-drivers-8.12.10 into /var/tmp/portage/ati-drivers-8.12.10/image/ category media-video
install: cannot stat `/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/fglrx.ko': No such file or directory


jep, i have the same problem. could anybody help, please.



Did ya make sure you have the following in your kernel?:
Code:
Loadable Module Support --->
 [*] Enable loadable module support
   [*]   Module unloading

Processor type and features  --->
 [*] MTRR (Memory Type Range Register) support

Device Drivers --->
 Character Devices --->
  [ ] Direct Rendering Manager (XFree86 4.1.0 and higher DRI support)

Kernel Hacking --->
  [ ] Kernel debugging

_________________
Dell XPS M1330; Intel Core 2 Duo 1800 ; NV M 8400GS, 2 gig
Gentoo x (gentoo x, gnome x)
LINUX user 395333
Back to top
View user's profile Send private message
fishcode
n00b
n00b


Joined: 06 Nov 2004
Posts: 5

PostPosted: Sun Jul 17, 2005 3:38 am    Post subject: Reply with quote

the kernel is all right, there is nothing wrong.
Back to top
View user's profile Send private message
francescofavero
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jul 2005
Posts: 130
Location: Kongens Lyngby

PostPosted: Tue Jul 19, 2005 10:48 am    Post subject: Reply with quote

Try with the ebuild...U have to modify it and apply the patches as shown before.

if you have gentoo-sources-2.6.12-r4 older ati drivers will not work, I have the same kernel and Radeon 9700 Mobility. DRI works well with this driver (2000 2100 FPS)...

make sure u have not xorg compiled with dlloader and no cababilities enabled in xorg.config.

Hope u fixed it.

Regards
_________________
Play old NES on Facebook!!
Back to top
View user's profile Send private message
flayedchild
n00b
n00b


Joined: 23 Apr 2005
Posts: 53
Location: New Hampshire

PostPosted: Wed Jul 20, 2005 5:46 am    Post subject: Reply with quote

I tried the patch fix....
now I cannot start X. When I try the screen goes blank and locks. I tried to emerge the ati-drives again, I ran fglrxconfig again, and removed the fglrx from the list of mods to load at boot. I tried to boot with a different kernel. I even tried setting the AGP variable to yes, and no. But it alowas locks up after a good ol' startx. All I wanted was to race a penguin down a hill at 205km/h :(
-Thanks
Back to top
View user's profile Send private message
Jimmy Jazz
Apprentice
Apprentice


Joined: 04 Oct 2004
Posts: 273
Location: Strasbourg

PostPosted: Wed Jul 20, 2005 10:03 am    Post subject: Reply with quote

Hello world,

did some of you managed to get ati-drivers-8.14.13 (and over) working well with the new >xorg-x11-6.8.99.8 Xorg releases ?
I remember ati flgrx driver won't work with opengl 2.0 librairies (the driver seems not to be compatible with opengl other than 1.3)!

Meanwhile, i'm stuck with xorg 6.8.99.8. Actually, i'm tired of continuously checking again and again the upcoming xorg release and see ati drivers won't be able to work in dri mode because of opengl 2.0 :(
So it would be so nicer if xorg will continue to be backward compatible with opengl 1.3 drivers.

Could some of you (who did some tests) report us their results ?
That would certainly help us to save the stratospheric ozone layer shields life by limiting the number of redondant compulations throu the world :)

Thx

Jj

@x-jojo

i'm glade to read you finally did it :)
_________________
« La seule condition au triomphe du mal, c'est l'inaction des gens de bien » E.Burke
Code:

+----+----+----+
|    |::::|    |
|    |::::|    |
+----+----+----+

motto: WeLCRO
WritE Less Code, Repeat Often
Back to top
View user's profile Send private message
blackwhite
Apprentice
Apprentice


Joined: 24 Jun 2004
Posts: 250

PostPosted: Wed Jul 20, 2005 4:58 pm    Post subject: Reply with quote

http://cron0.net/linux/ati-drivers-8.14.13-r1.tar.gz
this ebuild works, you need get this revised ebuild to let 3d work.
this is from this thread.
http://forums.gentoo.org/viewtopic-p-2543715.html#2543715
Back to top
View user's profile Send private message
Jimmy Jazz
Apprentice
Apprentice


Joined: 04 Oct 2004
Posts: 273
Location: Strasbourg

PostPosted: Wed Jul 20, 2005 5:20 pm    Post subject: Reply with quote

blackwhite wrote:
http://cron0.net/linux/ati-drivers-8.14.13-r1.tar.gz
this ebuild works, you need get this revised ebuild to let 3d work.
this is from this thread.
http://forums.gentoo.org/viewtopic-p-2543715.html#2543715


I'm pretty sure this driver won't work in 3d mode with xorg-x11-6.8.99.13+. Not because of some kernel incompatibilities but through lack of opengl 2.0 support ;)

Have you try xorg-x11-6.8.99.15 for instance ?

Thx

Jj
_________________
« La seule condition au triomphe du mal, c'est l'inaction des gens de bien » E.Burke
Code:

+----+----+----+
|    |::::|    |
|    |::::|    |
+----+----+----+

motto: WeLCRO
WritE Less Code, Repeat Often
Back to top
View user's profile Send private message
behd
Apprentice
Apprentice


Joined: 11 Feb 2003
Posts: 153

PostPosted: Tue Jul 26, 2005 11:18 am    Post subject: Reply with quote

well have a good ol' 3.3.4 gcc with brand new 2.6.12-r6 gentoo-sources
and the main problem at compilation seems to be that the member 'slot_name' could not be found:

Code:

 * Building the DRM module...
make: Entering directory `/usr/src/linux-2.6.12-gentoo-r6'
  CC [M]  /var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agp3.o
  CC [M]  /var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/nvidia-agp.o
  CC [M]  /var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.o
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: In function `agp_find_supported_device':
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7150: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7170: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7175: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7201: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7221: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7241: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7246: error: structure has no member named `slot_name'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:6542: warning: unused variable `cap_ptr'
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: In function `__fgl_agp_init':
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7627: warning: `pm_register' is deprecated (declared at include/linux/pm.h:106)
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: In function `__fgl_agp_cleanup':
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:7637: warning: `pm_unregister_all' is deprecated (declared at include/linux/pm.h:116)
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c: At top level:
/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.c:6523: warning: `agp_check_supported_device' defined but not used
make[1]: *** [/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/agpgart_be.o] Error 1
make: *** [_module_/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod] Error 2
make: Leaving directory `/usr/src/linux-2.6.12-gentoo-r6'
 * DRM module not built
>>> Test phase [not enabled]: media-video/ati-drivers-8.12.10

>>> Install ati-drivers-8.12.10 into /var/tmp/portage/ati-drivers-8.12.10/image/ category media-video
install: cannot stat `/var/tmp/portage/ati-drivers-8.12.10/work/lib/modules/fglrx/build_mod/fglrx.ko': No such file or directory


I'll try to see if I can do something about that...
Back to top
View user's profile Send private message
Jimmy Jazz
Apprentice
Apprentice


Joined: 04 Oct 2004
Posts: 273
Location: Strasbourg

PostPosted: Tue Jul 26, 2005 12:10 pm    Post subject: Reply with quote

@behd

your ati-drivers is too old ;), try the last one and read the posts above. They will help you to make it work.

Jj
_________________
« La seule condition au triomphe du mal, c'est l'inaction des gens de bien » E.Burke
Code:

+----+----+----+
|    |::::|    |
|    |::::|    |
+----+----+----+

motto: WeLCRO
WritE Less Code, Repeat Often
Back to top
View user's profile Send private message
Jinidog
Guru
Guru


Joined: 26 Nov 2003
Posts: 593
Location: Berlin

PostPosted: Tue Jul 26, 2005 12:47 pm    Post subject: Reply with quote

Hello,

I am running a gentoo-sources 2.6.12-r6 kernel and the newest ati-drivers 8.14.3-r1 on a nforce2-chipset.
I cannot get DRI working.
This is the error, perhaps someone can give me a hint.

Quote:

(II) fglrx(0): [drm] DRM interface version 1.0
(II) fglrx(0): [drm] created "fglrx" driver at busid "PCI:2:0:0"
(II) fglrx(0): [drm] added 8192 byte SAREA at 0xf8e57000
(II) fglrx(0): [drm] mapped SAREA 0xf8e57000 to 0xb7cf2000
(II) fglrx(0): [drm] framebuffer handle = 0xb0000000
(II) fglrx(0): [drm] added 1 reserved context for kernel
(II) fglrx(0): DRIScreenInit done
(II) fglrx(0): Kernel Module Version Information:
(II) fglrx(0): Name: fglrx
(II) fglrx(0): Version: 8.14.13
(II) fglrx(0): Date: Jun 8 2005
(II) fglrx(0): Desc: ATI FireGL DRM kernel module
(II) fglrx(0): Kernel Module version matches driver.
(II) fglrx(0): Kernel Module Build Time Information:
(II) fglrx(0): Build-Kernel UTS_RELEASE: 2.6.12-gentoo-r6
(II) fglrx(0): Build-Kernel MODVERSIONS: no
(II) fglrx(0): Build-Kernel __SMP__: no
(II) fglrx(0): Build-Kernel PAGE_SIZE: 0x1000
(II) fglrx(0): [drm] register handle = 0xd1000000
(EE) fglrx(0): [agp] unable to acquire AGP, error "xf86_ENOMEM"
(EE) fglrx(0): cannot init AGP
(II) fglrx(0): [drm] removed 1 reserved context for kernel
(II) fglrx(0): [drm] unmapping 8192 bytes of SAREA 0xf8e57000 at 0xb7cf2000
(WW) fglrx(0): ***********************************************
(WW) fglrx(0): * DRI initialization failed! *
(WW) fglrx(0): * (maybe driver kernel module missing or bad) *
(WW) fglrx(0): * 2D acceleraton available (MMIO) *
(WW) fglrx(0): * no 3D acceleration available *
(WW) fglrx(0): ********************************************* *
(II) fglrx(0): FBADPhys: 0xb0000000 FBMappedSize: 0x08000000
(II) fglrx(0): FBMM initialized for area (0,0)-(1280,8191)
(II) fglrx(0): FBMM auto alloc for area (0,0)-(1280,1024) (front color buffer - assumption)
(==) fglrx(0): Backing store disabled

_________________
Just unused Microsoft-Software is good Microsoft-Software
Back to top
View user's profile Send private message
behd
Apprentice
Apprentice


Joined: 11 Feb 2003
Posts: 153

PostPosted: Tue Jul 26, 2005 12:59 pm    Post subject: Reply with quote

Jimmy Jazz wrote:
@behd

your ati-drivers is too old ;), try the last one and read the posts above. They will help you to make it work.

Jj


yup searched a bit by myself to see if I could do smth... but I am more scripter than a C coder :p

I tried the 8.14.13-r1 patched with lenny fix and it works like a charm (in fact even better than before):
glxgears (IBM T42 w/ Mobility Radeon 9600):
- kernel 2.6.10 w/ ati drivers from approx. same release date: ~1300fps
- kernel 2.6.12 w/ 8.14.13: ~2000fps

Cheers Jj

--

@Jiny try to:
- review your kernel config (as described a bit above)
(NB. probably your problem atm).
- patch the r1 version with lenny fix
- in xorg.conf: Option "UseInternalAGPGART" "yes"
Back to top
View user's profile Send private message
Jinidog
Guru
Guru


Joined: 26 Nov 2003
Posts: 593
Location: Berlin

PostPosted: Tue Jul 26, 2005 1:20 pm    Post subject: Reply with quote

ah, god it.
I used the ebuild from lenny (named it -r2 by the way, because -r1 exists) and now it works.
I cannot report a speedup, but at least it works.
_________________
Just unused Microsoft-Software is good Microsoft-Software
Back to top
View user's profile Send private message
nutbar21
Apprentice
Apprentice


Joined: 05 Dec 2004
Posts: 205
Location: USA

PostPosted: Thu Jul 28, 2005 11:05 pm    Post subject: Reply with quote

So would it be best to wait for ATi to release a new driver or what? I'm having this same issue of fglrx module not compiling during emerge ati-drivers.
_________________
"Your voice is like the sound of sirens to a house on fire..." -The Alkaline Trio
Back to top
View user's profile Send private message
Hadriel
Tux's lil' helper
Tux's lil' helper


Joined: 28 Jul 2005
Posts: 75

PostPosted: Fri Jul 29, 2005 12:31 pm    Post subject: Reply with quote

@jimmy jazz
i have exact the same problem as zaxor. after doing this whole stuff you said, ebuild stops with
Code:

!!! aux_get(): ebuild path for 'ati-drivers/ati-drivers-8.14.13-r2' not specified:
!!!            None
!!! aux_get(): ebuild path for 'ati-drivers/ati-drivers-8.14.13-r2' not specified:
!!!            None
doebuild(): aux_get() error reading ati-drivers/ati-drivers-8.14.13-r2; aborting.

i simply created the directory structure /media-video/ati-drivers/
then i did "#( cd /usr/portage/media-video/ati-drivers; tar cf - files ) | tar xvf - "
after that, i copied the patch into the files directory. i got the original ati...-r1.ebuild from /usr/portage/media-video/ati-drivers/ati-drivers-8.14.13-r1.ebuild and copied into my ati-drivers directory i made.
when i do "# diff -ruN /usr/portage/media-video/ati-drivers/ati-drivers-8.14.13-r1.ebuild ati-drivers-8.14.13-r2.ebuild ", i don't get any messages on the console (at least he doesnt stop with an error ;) ).
finally, the ebuild command fails with the above code :(
Back to top
View user's profile Send private message
Master One
l33t
l33t


Joined: 25 Aug 2003
Posts: 754
Location: Austria

PostPosted: Sat Jul 30, 2005 11:45 am    Post subject: Reply with quote

I am jumping in on this topic, also I don't have any problems concerning the direct rendering on gentoo-sources-2.6.12-r6 + ati-drivers-8.14.13-r2, but since my upgrade from kernel 2.6.11 to 2.6.12 (and the necessary upgrade of the ati-driver) I have strange graphical distortions with running a remote WinXP session (via rdp) or in vmware.

Those problems only seem to appear in the remote session window, and in the vmware guest window, and turn out to be black fields, where none should be (for example small icons in programs get a black background, or mousepointer surrounded by a black square, especially strange black graphical distortions in graphics programs). It definitely is a graphis card driver issue, and everything worked fine, before I did the kernel & ati-drivers update.

Any experienced the same problem?

I just wanted to downgrade to latest "x86" gentoo-sources-2.6.11, but strangely the 2.6.11 ebuilds have disappeared from portage. :(
_________________
Las torturas mentales de la CIA
Back to top
View user's profile Send private message
mki0
n00b
n00b


Joined: 30 Jul 2005
Posts: 2

PostPosted: Sat Jul 30, 2005 1:56 pm    Post subject: Reply with quote

No probs with me either. DRI works, nothing crashes when restarting X and there were no problems when compiling ati-drivers.
DRI didnt work with 8.14.13-r1 and X crashed on restarts, but 8.14.13-r2 works perfectly. I'm using gentoo-sources-2.6.12-r6, with
Code:
Option "UseInternalAGPGART"         "no"

in xorg.conf, nforce2 mobo (nvidia_agp + agpgart), Radeon 9600xt.
Back to top
View user's profile Send private message
YannTechGeek
Tux's lil' helper
Tux's lil' helper


Joined: 30 Oct 2003
Posts: 107
Location: France 94

PostPosted: Sun Jul 31, 2005 7:07 pm    Post subject: Reply with quote

Yeah!

now the 2.6.12.x kernel work perfectly with the latest ebuild of media-video/ati-drivers 8) 8) 8O
_________________
Geekeurs a plein temps --- Gentoo ~x86 2.6.12-nitro5 AMD 3000+ A7N8X-E Deluxe 1536Mo DDR PC3200 ATI X800 Pro Maxtor 200Go Western-Digital 80Go
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Goto page Previous  1, 2, 3, 4  Next
Page 3 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum